.Modal {
    display: block;
    position: fixed; /* Stay in place */
    z-index: 1;
    left: 0;
    top: 0;
    width: 100vw; /* Full width */
    height: 100vh; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.Modal-content {
    background-color: #efefef;
    margin: 5% auto;
    padding: 1rem;
    border: 1px solid #888;
    border-radius: 25px;
    width: 40%; /* Could be more or less, depending on screen size */
}

@media screen and (max-width: 769px) {
  .Modal-content {
    width: 80%;
  }
}

.Modal-buttons {
  display: flex;
  justify-content: center;
}

.Modal-button-container {
  flex-shrink: 1;
  text-align: center;
  flex: 0 1 30%;
  border: solid 0.5rem #efefef;
}

.Modal-button {
  text-decoration: none;
  cursor: pointer;
  padding: 0.2rem 1.5rem;
  border: 1px solid #404040;
  border-radius: 10px;
  outline: none;
  font-size: 1.2rem;
  height: 2rem;
}

.Modal-button:visited {
  color: inherit;
}

.Modal-button:hover {
  border: 1px solid #EE4266;
}


.Close {
    color: #aaa;
    float: right;
    font-size: 1.5rem;
    font-weight: bold;
}

.Close:hover,
.Close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}
